# Bootstrap Layout

[![npm version](https://badge.fury.io/js/bootstrap-layout.svg)](https://badge.fury.io/js/bootstrap-layout)

Extends Bootstrap 4 with advanced layouts.

### Features
Layout with sidebar navigation, multiple sidebar sizes, sidebar skins (light and dark), sidebar transitions, sidebar menus, sidebar submenus (collapsible), sidebar positioning, sidebar toggle behaviour and more.

## Usage
See [bootstrap-layout.themekit.io](http://bootstrap-layout.themekit.io/index.html)

### Templates
> Premium HTML templates using Bootstrap Layout.

- [AdminPlus - Bootstrap 4 Admin Template](http://themeforest.net/item/adminplus-premium-bootstrap-4-admin-dashboard/14601290?ref=mosaicpro)
- [LearnPlus - Learning Management Application](http://themeforest.net/item/learnplus-learning-management-application/15287372?ref=mosaicpro)

### Boilerplates
> Project starter setups using Bootstrap Layout.

- [bs-layout-boilerplate-npm](https://github.com/themekit/bs-layout-boilerplate-npm) - Basic npm setup (no build system)
- [bs-layout-boilerplate-gulp](https://github.com/themekit/bs-layout-boilerplate-gulp) - Basic gulp setup (compile Sass, import Sass files from npm packages, customize colors)
- [bs-layout-boilerplate-gulp-advanced](https://github.com/themekit/bs-layout-boilerplate-gulp-advanced) - Advanced gulp setup (compile Sass, import Sass files from npm packages, customize colors, minify CSS, autoprefixer, sourcemaps, browserify module system, file watchers)
- [bs-layout-boilerplate-laravel](https://github.com/themekit/bs-layout-boilerplate-laravel) - **Laravel** application setup (gulp, Laravel Elixir, Sass, browserify)
- [bs-layout-boilerplate-rails](https://github.com/themekit/bs-layout-boilerplate-rails) - **Rails** application setup (Asset Pipeline)
- [bs-layout-boilerplate-angular2](https://github.com/themekit/bs-layout-boilerplate-angular2) - **Angular 2** application setup (TypeScript, SystemJS)
- [bs-layout-boilerplate-vue](https://github.com/themekit/bs-layout-boilerplate-vue) - **Vue.js** application setup (Webpack)

---

## Get help
Get help directly from our team via our Slack channel. [Request invite](http://themekit-slack-invite.stamplayapp.com/)